#pragma once
#include "Application.h"
#include "TipDocument.h"
#include "TipCommand.h"
#include "InstallController.h"
#include "TipView.h"

namespace tipcommon
{
	/**
	* @class InstallUpdateCallback
	* ġ/Ʈ ݹ ޴ Ŭ̴.
	*/
	class TipInstallUpdateCallback : public IInstallControllerCallback
	{
	public:
		TipInstallUpdateCallback() {}
		virtual ~TipInstallUpdateCallback (void) {}

		virtual CALLBACK_RETURN OnPrepareStart( const TCHAR* guid );
		virtual CALLBACK_RETURN OnProgress( const TCHAR* guid, 
			CALLBACK_PROGRESS_SIZE currentSize,
			CALLBACK_PROGRESS_SIZE maxSize,
			CALLBACK_PROGRESS_STATUS status );

		virtual CALLBACK_RETURN OnPrepareFinished( const TCHAR* guid,
			CALLBACK_FINISHED_STATUS status, ERRORINFO *info );

		virtual CALLBACK_RETURN OnInstallStart( const TCHAR* guid );
		virtual CALLBACK_RETURN OnInstallFinished( const TCHAR* guid,
			CALLBACK_FINISHED_STATUS status, ERRORINFO *info );

	protected:		
		TipView* m_View;
		TipDocument* m_Document;
	};
};
